Description

The Mod SDK version of the Worldbuilder requires the 1.12 patch, but not the Mod SDK itself (unless you want to link it to a mod). It can be installed along with the standard one.

Preview
C&C: Red Alert 3 Mod SDK Worldbuilder
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.